package com.hzs.common.core.enums;

import com.hzs.common.core.constant.EnumsPrefixConstants;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付类型
 *
 * @author: hzs
 */
@AllArgsConstructor
@Getter
public enum EPayType {

    /**
     * 支付宝
     */
    ALIPAY(1, "支付宝", 0, EnumsPrefixConstants.PAY_TYPE + "1"),

    /**
     * 微信
     */
    WECHAT(2, "微信", 0, EnumsPrefixConstants.PAY_TYPE + "2"),

    /**
     * 银行卡
     */
    BANK_CARD(3, "银行卡", 0, EnumsPrefixConstants.PAY_TYPE + "3"),

    /**
     * 网上银行
     */
    BANK_ONLINE(4, "网上银行", 0, EnumsPrefixConstants.PAY_TYPE + "4"),

    ;

    /**
     * 实际值
     */
    private final int value;
    /**
     * 显示标签
     */
    private final String label;
    /**
     * 是否启用（0=是,1=否） -- 来源EYesNo
     */
    private final int enable;
    /**
     * 国际化翻译key值
     */
    private final String key;

    /**
     * 根据值获取枚举
     *
     * @param value
     * @return
     */
    public static EPayType getEnumByValue(int value) {
        for (EPayType enums : EPayType.values()) {
            if (enums.getValue() == value) {
                return enums;
            }
        }
        return null;
    }

}
